#!/usr/bin/python2
# Copyright (c) 2017 VMware, Inc.  All rights reserved.
import sys, os
from bag import Bag
from hostname import Hostname
from version import Version

network_file = '/etc/sysconfig/network'
if len(sys.argv) > 1:
    network_file = sys.argv[1]

hostname_file = '/etc/hostname'
if len(sys.argv) > 2:
    hostname_file = sys.argv[2]

h = Hostname(Bag('properties.xml'))

# Write hostname into the /etc/sysconfig/network file
network_file_lines = []
network_file_lines.append("HOSTNAME=%s\n" % h.get_hostname())
for line in open(network_file):
    if not line.startswith("HOSTNAME"):
        network_file_lines.append(line)

open(network_file, 'w').write("".join(network_file_lines))

# If this is Redhat 7.0 or later, also write hostname into
# the /etc/hostname file
redhat_major_version = Version().get_version()[1]
if redhat_major_version >= 7:
    open(hostname_file, 'w').write(h.get_hostname())

os.system('/bin/hostname ' + h.get_hostname())
	
# vim: ts=4 sw=4 et
