#!/usr/bin/python
# Copyright (c) 2017 VMware, Inc.  All rights reserved.
import sys, os
from bag import Bag
from hostname import Hostname

hostname_file = '/etc/hostname'
if len(sys.argv) > 1:
    hostname_file = sys.argv[1]

hosts_file = '/etc/hosts'
if len(sys.argv) > 2:
    hosts_file = sys.argv[2]

h = Hostname(Bag('properties.xml'))

lines = []
lines.append("127.0.1.1\t%s\t%s\n" % (h.get_hostname(), h.get_simple_name()))

for line in open(hosts_file):
    if not line.startswith("127.0.1.1"):
        lines.append(line)

open(hosts_file, 'w').write("".join(lines))
open(hostname_file, 'w').write(h.get_simple_name())
os.system('/bin/hostname ' + h.get_simple_name())

# vim: ts=4 sw=4 et
