#!/usr/bin/python2
# Copyright (c) 2017 VMware, Inc.  All rights reserved.

import sys
import string
from bag import Bag

bag = Bag('properties.xml')

if len(sys.argv) != 2:
    print "getkeys (all|secured|unsecured)"
    exit(1)

if sys.argv[1] == "all":
    all = True
    secured = False
elif sys.argv[1] == "secured":
    all = False
    secured = True
elif sys.argv[1] == "unsecured":
    all = False
    secured = False
else:
    print "getkeys (all|secured|unsecured)"
    exit(1)

# properties is already sorted
for key in sorted(bag.keys()):
    if not(all) and key.endswith(".isencrypted"):
        subkeylen = len(key) - len(".isencrypted")
        if bag.has_key(key[0:subkeylen]):
            continue

    if key == "vrm.software.command":
        if all:
            print key
    elif bag.has_key(key + ".isencrypted"):
        if secured or all:
            print key
    elif not(secured):
        print key

# vim: sw=4 ts=4 et
